use xshell::{cmd, read_file};

fn main() -> Result<(), Box<dyn std::error::Error>> {
    let name = "World";
    let output = cmd!("echo Hello {name}!").read()?;
    println!("{}", output);

    let err = read_file("feeling-lucky.txt").unwrap_err();
    println!("cannot read file: {}", err);
    Ok(())
}
